#!/usr/bin/env python
# coding=utf-8
"""
Copyright © Huawei Technologies Co., Ltd. 2001-2019. All rights reserved.
description     :   list gas gphy msg
modify  record  :   2016-01-07 create file
"""

gas_gphy_msg_enum_table = {
0x2701:     "MPH_IMMED_ASSIGN_REQ",
0x2702:     "MPH_CHANNEL_ASSIGN_REQ",
0x2703:     "MPH_HO_REQ",
0x2704:     "MPH_ABORT_HO_RA_REQ",
0x2705:     "MPH_HANDOVER_FAIL_REQ",
0x2706:     "MPH_CHANNEL_MODE_MODIFY_REQ",
0x2707:     "MPH_SET_CIPHERING_REQ",
0x2708:     "MPH_CHANGE_FREQUENCY_REQ",
0x2709:     "MPH_STOP_DEDICATED_REQ",
0x270a:     "MPH_CHANGE_DTX_REQ",
0x270b:     "MPH_HANDOVER_COMPLETE",
0x270c:     "MPH_RA_REQ",
0x270d:     "MPH_RA_ABORT_REQ",
0x270e:     "MPH_BHO_NCELL_FB_SB_REQ",
0x270f:     "MPH_STOP_BHO_NCELL_FB_SB_REQ",
0x27F0:     "MPH_CBCH_READ_REQ",
0x27F1:     "MPH_STOP_CBCH_READ_REQ",
0x27F2:     "MPH_STOP_CBCH_CUR_PAGE_REQ",
0x7201:     "MPH_IMMED_ASSIGN_CNF",
0x7202:     "MPH_CHANNEL_ASSIGN_CNF",
0x7203:     "MPH_ASYNC_HO_CNF",
0x7204:     "MPH_HANDOVER_FINISHED",
0x7205:     "MPH_HANDOVER_FAIL_CNF",
0x7206:     "MPH_CHANNEL_MODE_MODIFY_CNF",
0x7207:     "MPH_SET_CIPHERING_CNF",
0x7208:     "MPH_CHANGE_FREQUENCY_CNF",
0x7209:     "MPH_STOP_DEDICATED_CNF",
0x720a:     "MPH_CHANGE_DTX_CNF",
0x720c:     "MPH_RA_CNF",
0x720e:     "MPH_BHO_NCELL_FB_SB_CNF",
0x720f:     "MPH_STOP_BHO_NCELL_FB_SB_CNF",
0x72F0:     "MPH_CBCH_READ_CNF",
0x72F1:     "MPH_STOP_CBCH_READ_CNF",
0x72F2:     "MPH_STOP_CBCH_CUR_PAGE_CNF",
0x72F3:     "MPH_CBS_DATA_IND",
0x7303:     "PH_DATA_IND",
0x7801:     "MPH_RXLEV_CNF",
0x7802:     "MPH_CELL_SB_IND",
0x7803:     "MPH_PAGING_MODE_CNF",
0x7804:     "MPH_NCELL_SB_IND",
0x7805:     "MPH_NCELL_BCCH_READ_CNF",
0x7806:     "MPH_SCELL_BCCH_READ_CNF",
0x7807:     "MPH_SI_UPDATE_CNF",
0x7808:     "MPH_FULL_LIST_CNF",
0x7809:     "MPH_FULL_LIST_STOP_CNF",
0x780a:     "MPH_BA_LIST_CNF",
0x780b:     "MPH_WCDMA_MEAS_CNF",
0x780d:     "MPH_NCELL_BCCH_READ_FAIL_IND",
0x780e:     "MPHC_NETWORK_LOST_CNF",
0x780f:     "MPHP_SERVING_PBCCH_RELEASE_CNF",
0x7810:     "MPHP_SERVING_PBCCH_SETUP_CNF",
0x7811:     "MPHP_UPDATE_PSI_PARAM_CNF",
0x7812:     "MPHP_GPRS_CHANNEL_QUALITY_REPORT",
0x7813:     "MPH_NC_MEAS_REPORT_IND",
0x7814:     "MPHP_EGPRS_CHANNEL_QUALITY_REPORT",
0x7816:     "MPH_UPDATE_RESEL_PARA_CNF",
0x7817:     "MPH_UPDATE_PARSE_PAGING_PARA_CNF",
0x7818:     "MPH_CELL_INFO_REPORT_IND",
0x7819:     "MPH_CELL_RESELECT_CNF",
0x781a:     "MPH_CS_DEDICATED_MEAS_IND",
0x781b:     "MPH_STOP_NCELL_BCCH_READ_CNF",
0x781d:     "MPH_STOP_NCELL_FB_SB_CNF",
0x781e:     "MPH_G_ENH_MEAS_CNF",
0x781f:     "MPH_G_ENH_MEAS_STOP_CNF",
0x7820:     "MPH_G_ENH_MEAS_IND",
0x7821:     "MPH_UPDATE_DEDICATED_CTRL_PARA_CNF",
0x7822:     "MPH_SET_WORK_MODE_CNF",
0x7823:     "MPH_LTE_MEAS_CNF",
0x7824:     "MPH_STOP_MEAS_CNF",
0x7825:     "MPH_TA_INFO_CNF",
0x7826:     "MPH_L_BG_SEARCH_CNF",
0x7827:     "MPH_TDS_MEAS_CNF",
0x7828:     "MPH_MEAS_RLT_RPT_CTRL_CNF",
0x7829:     "MPH_RADIO_RESOURCE_IND",
0x782a:     "MPH_RXLEV_STOP_CNF",
0x782b:     "MPH_W_BG_SEARCH_CNF",
0x782c:     "MPH_G_SLAVE_MEAS_CNF",
0x782d:     "MPH_G_SLAVE_MEAS_IND",
0x782e:     "MPH_G_SLAVE_BSIC_VERIFIED_CNF",
0x782f:     "MPH_G_SLAVE_BSIC_VERIFIED_IND",
0x7830:     "MPH_UPDATE_BCCH_READING_CNF",
0x7831:     "MPH_UPDATE_PAGE_PARA_CNF",
0x7832:     "MPH_AFC_LOCK_IND",
0x7833:     "MPH_BCCH_READ_FAIL_IND",
0x7834:     "MPH_CAMP_SCELL_CNF",
0x7835:     "MPH_START_SEARCH_CELL_CNF",
0x7836:     "MPH_UPDATE_SEARCH_CELL_CNF",
0x7837:     "MPH_STOP_SEARCH_CELL_CNF",
0x7838:     "MPH_START_NCELL_BCCH_LIST_READ_CNF",
0x7839:     "MPH_UPDATE_NCELL_BCCH_LIST_READ_CNF",
0x783A:     "MPH_STOP_NCELL_BCCH_LIST_READ_CNF",
0x8017:     "MPHP_SERVING_PBCCH_SETUP_REQ",
0x8018:     "MPHP_SERVING_PBCCH_RELEASE_REQ",
0x801b:     "MPHP_UPDATE_PSI_PARAM_REQ",
0x8701:     "MPHC_NETWORK_LOST_REQ",
0x8702:     "MPH_RXLEV_REQ",
0x8703:     "MPH_START_BCCH_READING",
0x8704:     "MPH_STOP_BCCH_READING",
0x8705:     "MPH_CELL_RESELECT_REQ",
0x8706:     "MPH_PAGING_MODE_REQ",
0x8709:     "MPH_BA_LIST",
0x870a:     "MPH_NCELL_FB_SB_READ",
0x870b:     "MPH_STOP_NCELL_BCCH_READ",
0x870c:     "MPH_NCELL_BCCH_READ",
0x870d:     "MPH_SCELL_BCCH_READ",
0x870e:     "MPH_FULL_LIST_REQ",
0x8711:     "MPH_SI_UPDATE_REQ",
0x8714:     "MPH_WCDMA_MEAS_REQ",
0x8715:     "MPH_FULL_LIST_STOP_REQ",
0x8716:     "MPH_STOP_NCELL_FB_SB_REQ",
0x8717:     "MPH_G_ENH_MEAS_REQ",
0x8718:     "MPH_G_ENH_MEAS_STOP_REQ",
0x8721:     "MPH_UPDATE_PARSE_PAGING_PARA_REQ",
0x8722:     "MPH_NC_MEAS_REPORT_REQ",
0x8723:     "MPH_UPDATE_RESEL_PARA_REQ",
0x8724:     "MPH_CELL_INFO_REPORT_REQ",
0x8725:     "MPH_PHY_MEA_ISR_STUB",
0x8726:     "MPH_PHY_SYN_ISR_STUB",
0x8727:     "MPH_PHY_CSDEC_ISR_STUB",
0x8728:     "MPH_PHY_PSDEC_ISR_STUB",
0x8729:     "MPH_UPDATE_DEDICATED_CTRL_PARA_REQ",
0x8730:     "MPH_SET_WORK_MODE_REQ",
0x8731:     "MPH_LTE_MEAS_REQ",
0x8732:     "MPH_STOP_MEAS_REQ",
0x8733:     "MPH_TA_INFO_REQ",
0x8734:     "MPH_L_BG_SEARCH_REQ",
0x8735:     "MPH_TDS_MEAS_REQ",
0x8736:     "MPH_MEAS_RLT_RPT_CTRL_REQ",
0x8737:     "MPH_NOTCH_CHANNEL_IND",
0x8738:     "MPH_BAND_CFG_IND",
0x8739:     "MPH_TDS_LTE_RF_CONTROL_IND",
0x873A:     "MPH_RSE_CFG_IND",
0x873B:     "MPH_AS_CONNECTED_STATUS_IND",
0x873C:     "MPH_RXLEV_STOP_REQ",
0x873D:     "MPH_W_BG_SEARCH_REQ",
0x873E:     "MPH_G_SLAVE_MEAS_REQ",
0x873F:     "MPH_G_SLAVE_BSIC_VERIFIED_REQ",
0x8740:     "MPH_AS_ACTIVE_DSDS_STATUS_IND",
0x8741:     "MPH_UPDATE_BCCH_READING_REQ",
0x8742:     "MPH_UPDATE_PAGE_PARA_REQ",
0x8743:     "MPH_CAMP_SCELL_REQ",
0x8744:     "MPH_START_SEARCH_CELL_REQ",
0x8745:     "MPH_UPDATE_SEARCH_CELL_REQ",
0x8746:     "MPH_STOP_SEARCH_CELL_REQ",
0x8747:     "MPH_START_NCELL_BCCH_LIST_READ_REQ",
0x8748:     "MPH_UPDATE_NCELL_BCCH_LIST_READ_REQ",
0x8749:     "MPH_STOP_NCELL_BCCH_LIST_READ_REQ",
}

def get_gas_gphy_msg_str( MsgId):
    for MsgIdIndex in gas_gphy_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return gas_gphy_msg_enum_table[MsgIdIndex]

    return "none"